#if !defined(AFX_PAGE3_H__9EC5E045_0331_4525_88AA_991DCCA8BE7E__INCLUDED_)
#define AFX_PAGE3_H__9EC5E045_0331_4525_88AA_991DCCA8BE7E__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000
// page3.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// Cpage3 dialog

class Cpage3 : public CPropertyPage
{
	DECLARE_DYNCREATE(Cpage3)

// Construction
public:
	void ReadFromBuff();
	BOOL ChangeStrOrder(char *str);
	CString GetIntiStr(int Num);
	BOOL HexTo2Str(char * str,int lenstr);
	char OldKey[13];
	BOOL Str2ToHex(char *str, int lenstr);
	HANDLE hCommPort;
	Cpage3();
	~Cpage3();

// Dialog Data
	//{{AFX_DATA(Cpage3)
	enum { IDD = IDD_PROPPAGE_LARGE2 };
	CComboBox	m_Block;
	CComboBox	m_Sector;
	CString	m_PassWord;
	CString	m_ReadStr;
	CString	m_NewKey;
	int		m_Num;
	//}}AFX_DATA


// Overrides
	// ClassWizard generate virtual function overrides
	//{{AFX_VIRTUAL(Cpage3)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	// Generated message map functions
	//{{AFX_MSG(Cpage3)
	virtual BOOL OnInitDialog();
	afx_msg void OnRead();
	afx_msg void OnInitial();
	afx_msg void OnChangePassWord();
	afx_msg void OnAdd();
	afx_msg void OnSub();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_PAGE3_H__9EC5E045_0331_4525_88AA_991DCCA8BE7E__INCLUDED_)
